; Retro-NG
;
; Goals:
;   Smaller set of primitives (compiler + assembler + basic math)
;   More 'normal' interface (small GUI + forth console)
;   Reduced source code complexity
;   Easier to learn
;
; This is not a radical departure from the well-established RETRO4/5
; codebases. It is more of a clean, matured system. There are new
; provisions to aid in learning the system, but overall it's pretty
; similar.
;
; One thing has changed: nearly all FORTH code is built at boot time,
; not statically into the image. This makes managament of the source
; code much easier, just look at how much smaller it is now.
;----------------------------------------------------------------------
%include "system/header.1"
%include "system/macros.1"
;----------------------------------------------------------------------
BITS 32
ORG START
MAIN:   upsh startup            ;Load startup code (startup.f)
        upsh startup.1 - startup
        call eval
	call interpret
;---------------------------------------------------------------------
variable fore, 2
variable xy, 0
;---------------------------------------------------------------------
%include "drivers/keyboard.asm"
%include "drivers/disk.asm"
%include "drivers/ati.asm"
%include "forth.asm"
;---------------------------------------------------------------------
startup: incbin "forth/startup.f"
.1
END
